Bug 123234 - Add SPF support to sendmail
Add SPF support to sendmail
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sendmail (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
http://spf.pobox.com
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-14 12:39 EDT by Stephen Lewis
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-03 06:41:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Lewis 2004-05-14 12:39:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
SPF permits MTAs to verify that the sending MTA is a permitted source
of mail for a given domain by checking dns txt entries.

SPF is gaining widespread adoption, including large ISPs.

For a system to fully participate, its MTA must be able to validate
SPF for received mail. Sendmail milters or patches are available to
support this.

I would like to see SPF support provided in RHEL (presumably by milter
until sendmail supports it natively)

see http://spf.pobox.com

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. n/a
2.
3.
    

Actual Results:  n/a

Expected Results:  n/a

Additional info:
Comment 1 Thomas Woerner 2004-11-03 06:41:54 EST
SPF is patented, therefore there is no way to put it in.
Comment 2 Stephen Lewis 2004-11-03 12:39:52 EST
I think you are mistaken - are you possibly thinking of the Microsoft 
Sender ID, which does have patent issues. I believe Sender Policy 
Framework (SPF) is open, and has now been adopted by the IETF.

see http://spf.pobox.com

Note You need to log in before you can comment on or make changes to this bug.